CC=gcc

OBJS=wrg526demo.o wrg526api.o
LDFLAGS=-ldl

all: wrg526demo

wrg526demo: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)


wrg526demo.o: wrg526demo.c wrg526api.h
	$(CC) -c -o $@ wrg526demo.c

wrg526api.o: wrg526api.c wrg526api.h
	$(CC) -c -o $@ wrg526api.c

clean:
	rm -f *.o
	rm -f wrg526demo
	rm -f *.d

-include *.d


